/*
 Chapter 03 - Interacting with the environment the digital way
 Multiple digital outputs to simulate a semaphore
 By Francis Perea for Packt Publishing
*/

// Global variables
int redLED = 12;
int yellowLED = 11;
int greenLED = 10;

// Configuration of the board.
// All pins are going to be used as outputs
void setup() {                
  pinMode(redLED, OUTPUT);                     
  pinMode(yellowLED, OUTPUT);                     
  pinMode(greenLED, OUTPUT);     
}

// Sketch execution loop
// We repeat the single blink for every LED
void loop() {
  // blink the red LED
  digitalWrite(redLED, HIGH);
  delay(500);
  digitalWrite(redLED, LOW);
  delay(100);
  
  // blink the yellow LED
  digitalWrite(yellowLED, HIGH);
  delay(500);
  digitalWrite(yellowLED, LOW);
  delay(100);
  
  // blink the green LED
  digitalWrite(greenLED, HIGH);
  delay(500);
  digitalWrite(greenLED, LOW);
  delay(100);
  // do it all again
}


