/*
 Chapter 05 - Sensing the real world through digital inputs
 Optical coin detector
 By Francis Perea for Packt Publishing
*/

// Global variables we will use
int led = 13;
int phototransistor = 8;

// Configuration of the board: one output and one input
void setup() {
  pinMode(led, OUTPUT);
  pinMode(phototransistor, INPUT);
}

// Sketch execution loop
void loop(){
  // We read the optocoupler pin
  // and if the phototransistor don't receives light
  if(digitalRead(phototransistor)==HIGH){  
    //simply blink
    digitalWrite(led, LOW);
    delay(50);
    digitalWrite(led, HIGH);
    delay(50);
  }
}
