/*
 Chapter 04 - Controlling outputs softly with analog outputs
 Single analog output to fade a LED
 By Francis Perea for Packt Publishing
*/

// Global variables we will use
int led = 11;           
int intensity = 0;    
int increment = 5;

// Configuration of the board
void setup()  { 
  // Set the pin we are going to use as an output
  pinMode(led, OUTPUT);
} 

// Main loop
void loop()  { 
  // fade from minimum to maximum in 5 increments
  increment = 10;
  for(intensity=0; intensity<=255; intensity=intensity+increment){ 
    analogWrite(led, intensity);   
    delay(30);                     
  } 
  
  // fade from maximum to minimum in -15 increments
  increment = 50;
  for(intensity=255; intensity>0; intensity=intensity-increment){ 
    analogWrite(led, intensity);   
    delay(30);                     
  } 
}
