/*
 Chapter 06 - Analog Inputs to Feel Between All and Nothing
 DC Motor speed control
 By Francis Perea for Packt Publishing
*/

// Global variables we will use
// One for for the potentiometer
// and anothe to command the transistor
// Two variables to store read and converted values
int pot = 0;
int base = 6;
int potvalue = 0;
int motorspeed = 0;

// Configuration of the board: three outputs and one input
void setup() {
  pinMode(base, OUTPUT);
  pinMode(pot, INPUT); //optional
}

// Sketch execution loop
void loop(){
  // Read the sensor and convert to the 
  // allowed output range for an analog output
  potvalue = analogRead(pot);
  motorspeed = map(potvalue, 512, 1023, 100, 255);
  analogWrite(base, motorspeed);
}
